<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

    $cot_id=limpiar($_GET['cot_id']);
    $can1=mysqli_query($con,"SELECT * FROM dis_cotizacion where cot_id='$cot_id'") or die(mysqli_error($con)); 
    $dat=mysqli_fetch_array($can1);
    $distribuidor=$dat['distribuidor'];
   
    $borrar_sql=mysqli_query($con,"DELETE FROM seriales_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
    $borrar_sql=mysqli_query($con,"DELETE FROM cliente_venta_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
    $borrar_sql=mysqli_query($con,"DELETE FROM venta_detalle_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
    $registros=mysqli_query($con,"INSERT into cliente_venta_temp (cvt_clie_id,usuario,empresa) VALUES ('$distribuidor','$usu_id','$empresa')") or  die(mysqli_error($con));       
    $can7=mysqli_query($con,"SELECT * FROM dis_cotizacion_detalle where dis_cotizacion_cot_id='$cot_id'") or die(mysqli_error($con));  
    while($dato=mysqli_fetch_array($can7))
    {
        $cotd_art_id=$dato['cotd_art_id'];
        $cotd_cantidad=$dato['cotd_cantidad']; 

        $can3=mysqli_query($con,"SELECT * FROM articulos where art_id='$cotd_art_id'") or die(mysqli_error($con));  
        $dato3=mysqli_fetch_array($can3);

        $cotd_referencia=$dato3['art_referencia']; 
        $cotd_nombre=$dato3['art_nombre'];           
        $cotd_iva=$dato3['art_iva'];

            $tarifas_tar_id=2;
            $sql_pre=mysqli_query($con, "SELECT p.pre_precio,pre_id from articulos a, precio p WHERE articulos_art_id='$cotd_art_id' and tarifas_tar_id='$tarifas_tar_id' and a.empresa='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_pre);
            $numrows = $rw_pre['pre_id'];
            if ($numrows>0){
            $cotd_precio=$rw_pre['pre_precio'];}
            else {
                $cotd_precio=$dato3['art_pvp'];
            }

        $can8=mysqli_query($con,"INSERT INTO venta_detalle_temp (vent_art_id,vent_referencia,vent_nombre,vent_cantidad,vent_iva,vent_desc,vent_precio,detallado,usuario,empresa) 
                     VALUES ('$cotd_art_id','$cotd_referencia','$cotd_nombre','$cotd_cantidad','$cotd_iva','0','$cotd_precio','no','$usu_id','$empresa')") or die(mysqli_error($con));  
    }
   
    echo '<script> setTimeout("history.back(1)", 0); </script>';
    header('Location: ../P_facturar.php');

?>